Autor Tema: Problema con Mascara en Fechas en Gestion 3.18  (Leído 386 veces)

0 Usuarios y 1 Visitante están viendo este tema.

ecaverzan

  • Full Member
  • ***
  • Mensajes: 176
    • Ver Perfil
  • Institución: Unisal - Universidad Salesiana Argentina
  • Nombre y apellido: Esteban Caverzan
  • Sistema: Guarani 3
  • Teléfono laboral: 1150635282
Problema con Mascara en Fechas en Gestion 3.18
« on: Octubre 22, 2020, 03:34:15 pm »
Hola, migramos de 3.17.1 a 3.18 y notamos que los campos de Fecha, ya no nos coloca la máscara automaticamente. Ahora debemos poner / a medida que vamos escribiendo.
Hay forma de mantener el comportamiento anterior?

Muchas Gracias
Saludos

Esteban

Leonel Leonardis

  • Moderador Global
  • *****
  • Mensajes: 2647
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Leonel Leonardis
  • Sistema: SIU-Guaraní
  • Utilizo algun sistéma del SIU: Sí
Re:Problema con Mascara en Fechas en Gestion 3.18
« Respuesta #1 on: Octubre 23, 2020, 01:24:59 pm »
Hola Esteban,

A partir de TOBA 3.2.0 dejo de poner la mascara a las fechas:
https://github.com/SIU-Toba/framework/blob/develop/CHANGELOG.md

Tenemos la siguiente solución para que siga funcionando, tenes que hacer lo siguiente:
1) En el archivo <PATH-GESTION>/vendor/siu-toba/framework/package.json agrega la librería Masked Input Plugin for jQuery:
Código: [Seleccionar]
.............
  "dependencies": {
    .............
    "jquery.maskedinput": "1.4.1"
  }

2) Correr composer install sobre el directorio raíz de Guaraní.

3) En la función cargar_consumos_basicos de la clase <PATH-GESTION>/vendor/siu-toba/framework/php/nucleo/lib/toba_js.php cargar la librería:
Código: [Seleccionar]
$consumos_lib = array(
                                            .............
                                            'packages/jquery.maskedinput/src/jquery.maskedinput'
                                        );

4) En el archivo <PATH-GESTION>/vendor/siu-toba/framework/www/js/efs/ef_editable.js lineas 463 y 638 vas a encontrar la creación del "datepicker", vas a tener que modificar lo siguiente:

Código: [Seleccionar]
$( '#' + this._id_form).datepicker( {
..............................
}).mask("99/99/9999");

Código: [Seleccionar]
$( '#' + arr_inputs[0].id).datepicker( {
..............................
}).mask("99/99/9999");

Fíjate que se agrega la función .mask("99/99/9999").

Esto vamos a ver de incorporarlo en futuras versiones.

saludos.
8
« Última Modificación: Junio 01, 2021, 12:05:23 pm por Leonel Leonardis »

vial

  • Guarani
  • *
  • Mensajes: 58
    • Ver Perfil
    • Email
  • Institución: FAC. CIENCIAS ECONOMICAS UNCUYO
  • Nombre y apellido: VICTOR ALFREDO BRIZUELA
  • Sistema: GUARANI
  • Teléfono laboral: 0261-4494067
Re:Problema con Mascara en Fechas en Gestion 3.18
« Respuesta #2 on: Mayo 28, 2021, 01:01:58 pm »
Buenas tardes! estoy teniendo problemas en la version 3.18.1 con el composer cuando quiero actualizar la librería   "jquery.maskedinput": "1.4.1".

Cuando corro el composer install me sale el siguiente error:

Código: [Seleccionar]
PHP Warning:  Module 'PDO' already loaded in Unknown on line 0
PHP Warning:  Module 'pdo_pgsql' already loaded in Unknown on line 0
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Your requirements could not be resolved to an installable set of packages

  Problem 1
    - Installation request for siu-toba/framework No version set (parsed as 1.0.0) -> satisfiable by siu-toba/framework[No version set (parsed as 1.0.0)].
    - siu/arai-cli v2.7.6 conflicts with siu-toba/framework[No version set (parsed as 1.0.0)].
    - Installation request for siu/arai-cli v2.7.6 -> satisfiable by siu/arai-cli[v2.7.6]..

les adjunto el composer.json también a ver si ahí algún problema que se me escape ...

Código: [Seleccionar]
{
    "name": "siu-toba/framework",
    "description": "Framework de desarrollo web",
    "authors": [
        {
            "name": "SIU",
            "email": "toba@siu.edu.ar"
        }
    ],
    "require": {
        "php": ">=7.3",
        "dapphp/securimage": "~3.6",
        "guiguiboy/php-cli-progress-bar": "dev-master",
        "guzzlehttp/guzzle": "~6.5",
        "ioncube/php-openssl-cryptor": "dev-master",
        "nikic/php-parser": "~4.3",
        "onelogin/php-saml": "~3.4",
        "paragonie/random-lib": "~2.0",
        "phpmailer/phpmailer": "~6.1",
        "phpoffice/phpspreadsheet": "^1.0",
        "psr/log": "^1.1",
        "rospdf/pdf-php": "~0.12",
        "siu-toba/numbers_words": "0.18.0.1",
        "siu-toba/rest": "~2.0",
        "siu-toba/services_json": "^1.0.3.3",
        "siu-toba/ssl-cert-utils": "@dev",
        "siu-toba/structures_graph": "^1.1.1.1",
        "siu/arai-json-migrator": "~1.0",
        "siu/manejador-salida-toba": "~1.1",
        "siu/security-multitool": "~1.1",
        "symfony/yaml": "~4.4",
        "vlucas/phpdotenv": "~3.6"
    },
     "conflict": {
        "siu/arai-cli": "<2.5.0",
        "siu/interfaces-manejador-salida-toba": "<1.2.0"
    },
    "require-dev": {
        "php-webdriver/webdriver": "~1.8",
        "greenlion/php-sql-parser": "@dev",
        "simpletest/simpletest": "~1.2",
        "siu-toba/text_highlighter": "~0.8",
        "siu/arai-cli": "*",
        "siu/arai-crypto": "*",
        "siu/arai-json-migrator": "*",
        "siu/arai-json-parser": "*",
        "siu/manejador-salida-bootstrap": "~1.3"
 },
    "suggest": {
        "simplesamlphp/simplesamlphp": "Permite conectarse a un IDP centralizado (see onelogin)",
        "siu-toba/jasper": "Permite imprimir reportes via Jasper desde SIU-Toba",
        "siu/arai-cli": "Librería cliente de los componentes ARAI",
        "siu/arai-reportes": "Permite imprimir reportes via un servidor Jasper desde SIU-Toba",
        "siu/manejador-salida-bootstrap": "Permite generar un marcado HTML responsive",
        "siu/rdi": "Permite almacenar documentos en un ECM"
    },
    "autoload": {
        "psr-4": {
            "SIUToba\\Framework\\": "src/SIUToba/"
        }
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://satis.siu.edu.ar"
 }
    ],
    "minimum-stability": "dev",
    "prefer-stable": true,
    "bin": [
        "bin/toba",
        "bin/toba_docker"
    ],
    "scripts": {
        "post-install-cmd": [
            "yarn add ckeditor@4.11 jquery@3.4 jquery-migrate@3.0 siu-js-app-launcher@1.0.4 --modules-folder www/js/packages/",
            "yarn ",
            "php bin/instalar_assets.php"
        ],
        "post-update-cmd": [
            "yarn  --non-interactive --modules-folder www/js/packages/",
            "php bin/instalar_assets.php"
 ]
    }
}

Cualquier ayuda se agradece!

Saludos
« Última Modificación: Mayo 28, 2021, 01:04:37 pm por vial »

Leonel Leonardis

  • Moderador Global
  • *****
  • Mensajes: 2647
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Leonel Leonardis
  • Sistema: SIU-Guaraní
  • Utilizo algun sistéma del SIU: Sí
Re:Problema con Mascara en Fechas en Gestion 3.18
« Respuesta #3 on: Junio 01, 2021, 12:04:00 pm »
Hola Victor,

El comando composer install NO lo debes correr en Toba, sino en el directorio raíz de Guaraní.

<PATH-GUARANI>/composer.json es el que importa, entre las dependencias tiene "siu-toba/framework" que se descarga en <PATH-GUARANI>/vendor/siu-toba/framework. Siempre los comandos de composer se ejecutan sobre el composer.json del proyecto y no sobre las dependencias (lo que esta dentro de vendor).

saludos.
2
« Última Modificación: Junio 01, 2021, 12:09:22 pm por Leonel Leonardis »

vial

  • Guarani
  • *
  • Mensajes: 58
    • Ver Perfil
    • Email
  • Institución: FAC. CIENCIAS ECONOMICAS UNCUYO
  • Nombre y apellido: VICTOR ALFREDO BRIZUELA
  • Sistema: GUARANI
  • Teléfono laboral: 0261-4494067
Re:Problema con Mascara en Fechas en Gestion 3.18
« Respuesta #4 on: Junio 03, 2021, 02:13:44 pm »
Gracias Leonel!! efectivamente, mala mía... se me había quedado pegado el path y no me percate cuando corrí el composer.

Ya quedo funcionando! Muchas gracias y saludos.